diff -N -c ../tmp2/Makefile ./Makefile
*** ../tmp2/Makefile	Wed Dec 31 19:00:00 1969
--- ./Makefile	Sat Mar  8 17:17:03 1997
***************
*** 0 ****
--- 1,47 ----
+ ## Configure the makefile, type `make'
+ 
+ ## Stuff to configure
+ 
+ # Use gcc/cc/whatever for Unix, mwcc for BEOS
+ CC=gcc
+ # Choose from AMIGA ARCHIMEDES ATARIST BEOS LINUX MACINTOSH MAC_68K MAC_MPW
+ #             OS2 PC PC_QUICKC PC_WIN32 UNIX VMS
+ PLATFORM=UNIX
+ # BeOS creates files with silly modes....
+ MAKEEXEC=chmod 755
+ # Delete a file
+ RM=rm -f
+ # Move a file
+ MV=mv -f
+ # Move lots of files ... everyone has sh, right?
+ MVMANY=for i in $(ORIG);do $(MV) $$i $$i.c;done
+ # This should be fine as it is
+ TARGET=inform
+ 
+ ## Stuff that should work by itself
+ 
+ all: $(TARGET)
+ 
+ CFLAGS+=-DPLATFORM_CHOSEN -D$(PLATFORM)
+ 
+ ORIG=arrays asm bpatch directs errors expressc expressp \
+ 	files inform lexer linker memory objects states \
+ 	symbols syntax tables text veneer verbs
+ 
+ OBJS=arrays.o asm.o bpatch.o directs.o errors.o expressc.o expressp.o \
+ 	files.o inform.o lexer.o linker.o memory.o objects.o states.o \
+ 	symbols.o syntax.o tables.o text.o veneer.o verbs.o
+ 
+ .c.o: header.h
+ 	$(CC) $(CFLAGS) -c $<
+ 
+ $(TARGET): $(OBJS)
+ 	$(CC) $(LDFLAGS) -o $(TARGET) $(OBJS)
+ 	$(MAKEEXEC) $(TARGET)
+ 
+ clean:
+ 	$(RM) $(OBJS) $(TARGET)
+ 
+ source:
+ 	$(MV) header header.h
+ 	$(MVMANY)
diff -N -c ../tmp2/header ./header
*** ../tmp2/header	Sat Mar  8 17:19:07 1997
--- ./header	Sat Mar  8 17:15:48 1997
***************
*** 65,71 ****
  /*   out a block of definitions like those below.)                           */
  /* ------------------------------------------------------------------------- */
  
! #define ARCHIMEDES
  
  /* ------------------------------------------------------------------------- */
  /*   The first task is to include the ANSI header files, and typedef         */
--- 65,73 ----
  /*   out a block of definitions like those below.)                           */
  /* ------------------------------------------------------------------------- */
  
! #ifndef PLATFORM_CHOSEN
! 	#define ARCHIMEDES
! #endif
  
  /* ------------------------------------------------------------------------- */
  /*   The first task is to include the ANSI header files, and typedef         */
